Bug 1464609 - [RFE] Service Catalog order from global region SUI ends up in Shopping Cart in lower region
[RFE] Service Catalog order from global region SUI ends up in Shopping Cart i...
Status: NEW
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning (Show other bugs)
Unspecified Unspecified
high Severity high
: GA
: cfme-future
Assigned To: Gregg Tanzillo
Dave Johnson
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2017-06-23 18:28 EDT by Brant Evans
Modified: 2018-02-28 13:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brant Evans 2017-06-23 18:28:22 EDT
Description of problem:
In a multi-region setup using the SUI in the Global region to order a Catalog Item in a lower region results in the request being placed in the users shopping cart in the lower region.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Setup a multi-region environment
2. Create a Catalog Item in the lower region
3. Login to the SUI in the Global Region
4. Select the Catalog Item and add it to the Shopping Cart
5. Order the Shopping Cart
6. Login to the SUI in the lower region
7. Find that order that was just placed from the Global region is in the Shopping Cart

If the Shopping Cart is ordered in the lower region the request is processed.

Actual results:
The provision request ends up in the Shopping Cart of the user in the lower region.

Expected results:
The request is full-filled without going into the Shopping Cart in the lower region.

Additional info:
When the Catalog Item is ordered from the Global Region using the OPS UI it works as expected. The order is sent to the lower region and is immediately starts processing.
Comment 2 Gregg Tanzillo 2017-07-24 10:53:29 EDT
This is actually working as expected. Support for ordering services in central admin is limited to the ops UI only. It is in our future plans for supporting it through the SUI, however. This BZ should be changed to an RFE.

Note You need to log in before you can comment on or make changes to this bug.